/**
 * Copyright (c) 2024 iSmartFrame.
 * 
 * Questo file è soggetto alla licenza. 
 * Vedi il file LICENSE per i dettagli completi.
 * 
 * Template Smarty per la gestione degli avvisi nel modulo.
 */
{* views/templates/hook/purge_cache.tpl *}
<button type="button" id="purge-cache-btn" class="btn btn-default">{$l('Purge cache for this page')}</button>

<script>
    document.getElementById("purge-cache-btn").addEventListener("click", function() {
        var currentUrl = window.location.href;
        var baseUrl = currentUrl.split("#")[0];
        var anchor = currentUrl.split("#")[1];

        if (baseUrl.indexOf("purgeCache=1") !== -1) {
            window.location.reload();
            return;
        }

        if (baseUrl.indexOf("?") !== -1) {
            baseUrl += "&purgeCache=1";
        } else {
            baseUrl += "?purgeCache=1";
        }

        if (anchor) {
            currentUrl = baseUrl + "#" + anchor;
        } else {
            currentUrl = baseUrl;
        }
        window.location.href = currentUrl;
        window.location.href = baseUrl;
    });
</script>
