/**
 * Copyright (c) 2024 iSmartFrame.
 * 
 * This file is subject to proprietary licensing.
 * Modification, distribution, or resale of this code is strictly prohibited.
 * See the LICENSE file for full details.
 * 
 * Smarty template for managing alerts in the module.
 * 
 * @author iSmartFrame
 * @copyright 2024 iSmartFrame
 * @license LICENSE.txt 
 */
{if $alertType === 'success'}
    <div id="cache-purge-alert" class="alert alert-success">Cache purged successfully for {$purgeUrl}</div>
{elseif $alertType === 'error'}
    <div id="cache-purge-alert" class="alert alert-danger">Failed to purge cache. {$errorMessage}</div>
{/if}
